package com.kingdee.eas.custom.dormitorysystem.occupants;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OccupantsTreeFactory
{
    private OccupantsTreeFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DB98FA7D") ,com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DB98FA7D") ,com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DB98FA7D"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupantsTree)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DB98FA7D"));
    }
}